> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/users/update-password-me.md).

# Update Password Me

Update own password.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"UserUpdatePasswordRequestSchema":{"properties":{"current_password":{"type":"string","maxLength":64,"minLength":1,"title":"Current Password"},"new_password":{"type":"string","maxLength":64,"minLength":15,"title":"New Password"}},"type":"object","required":["current_password","new_password"],"title":"UserUpdatePasswordRequestSchema","description":"Request schema for updating password."},"app__api__routes__schemas__MessageResponseSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"MessageResponseSchema","description":"Response schema for simple message responses."}}},"paths":{"/api/v1/users/me/password":{"patch":{"tags":["users","public"],"summary":"Update Password Me","description":"Update own password.","operationId":"users-update_password_me","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdatePasswordRequestSchema"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__api__routes__schemas__MessageResponseSchema"}}}},"400":{"description":"Invalid request payload or parameters","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}}}}}}}
```
